Package: groovy.org.codenarc.rule.grails

## [Groovy] Class GrailsDomainReservedSqlKeywordNameAstVisitor

- groovy.org.codenarc.rule.grails.GrailsDomainReservedSqlKeywordNameAstVisitor

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsDomainReservedSqlKeywordNameAstVisitor (Set<String> reservedSqlKeywords, Set<String> hibernateBasicTypes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `visitClassComplete(org.codehaus.groovy.ast.ClassNode node)`
    `` | `protected void` | `visitClassEx(org.codehaus.groovy.ast.ClassNode node)`
    `` | `void` | `visitField(org.codehaus.groovy.ast.FieldNode node)`

- - ### Constructor Detail

    - #### GrailsDomainReservedSqlKeywordNameAstVisitor(Set<String> reservedSqlKeywords, Set<String> hibernateBasicTypes)

  - ### Method Detail

    - #### @Override protected void visitClassComplete(org.codehaus.groovy.ast.ClassNode node)

    - #### @Override protected void visitClassEx(org.codehaus.groovy.ast.ClassNode node)

    - #### @Override void visitField(org.codehaus.groovy.ast.FieldNode node)